org.apache.cassandra.io.sstable

## Class Component

- java.lang.Object
- - org.apache.cassandra.io.sstable.Component

    public class Component
    extends java.lang.Object

SSTables are made up of multiple components in separate files. Components are identified by a type and an id, but required unique components (such as the Data and Index files) may have implicit ids assigned to them.

### Nested Class Summary

Nested Classes
`static class` `Component.Type`

### Field Summary

Fields
`static Component` `COMPRESSION_INFO`
`static Component` `CRC`
`static Component` `DATA`
`static Component` `DIGEST`
`static Component` `FILTER`
`int` `hashCode`
`java.lang.String` `name`
`static Component` `PRIMARY_INDEX`
`static char` `separator`
`static Component` `STATS`
`static Component` `SUMMARY`
`static Component` `TOC`
`Component.Type` `type`

### Constructor Summary

Constructors
Constructor and Description
`Component(Component.Type type)`
`Component(Component.Type type, java.lang.String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`static Pair<Descriptor,Component>` `fromFilename(java.io.File directory, java.lang.String name)` `Filename of the form "<ksname>/<cfname>-[tmp-][<version>-]<gen>-<component>",`
`int` `hashCode()`
`java.lang.String` `name()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### separator

    public static final char separator

See Also:
  Constant Field Values

#### DATA

    public static final Component DATA

#### PRIMARY_INDEX

    public static final Component PRIMARY_INDEX

#### FILTER

    public static final Component FILTER

#### COMPRESSION_INFO

    public static final Component COMPRESSION_INFO

#### STATS

    public static final Component STATS

#### DIGEST

    public static final Component DIGEST

#### CRC

    public static final Component CRC

#### SUMMARY

    public static final Component SUMMARY

#### TOC

    public static final Component TOC

#### type

    public final Component.Type type

#### name

    public final java.lang.String name

#### hashCode

    public final int hashCode

### Constructor Detail

#### Component

    public Component(Component.Type type)

#### Component

    public Component(Component.Type type,
                     java.lang.String name)

### Method Detail

#### name

    public java.lang.String name()

Returns:
  The unique (within an sstable) name for this component.

#### fromFilename

    public static Pair<Descriptor,Component> fromFilename(java.io.File directory,
                                                          java.lang.String name)

`Filename of the form "<ksname>/<cfname>-[tmp-][<version>-]<gen>-<component>",`

Returns:
  A Descriptor for the SSTable, and a Component for this particular file. TODO move descriptor into Component field

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`